﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Navigation;

namespace WindowTaskbarIconTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.ShowInTaskbar(new RadWindow() { Width = 200, Height = 150 }, "New RadWindow");
        }

        public void ShowInTaskbar(RadWindow control, string title)
        {
            RadWindowInteropHelper.SetShowInTaskbar(control, true);
            control.Header = title;
            control.Icon = new Image()
            {
                Source = new BitmapImage(new Uri("../../Images/my_app_window_icon.jpg", UriKind.Relative))
            };
            control.Owner = this;
            control.Show();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            var window = new MyRadWindow();
            window.Show();
        }
    }
}
